using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    [Table("bs_inspection_org_setting")]
    [Comment("鉴定机构相关设置")]
    public class BsInspectionOrgSetting : Core.DEntityBase
    {
        [Comment("设置类型 1申报时间范围")]
        public InspectionOrgSettingType Type { get; set; }

        [Comment("设置")]
        [Required]
        public string Setting { get; set; }
    }

    public class BsInspectionOrgSetting_DateRange
    {
        private DateTime _BeginDate { get; set; }
        public DateTime BeginDate
        {
            get
            {
                return _BeginDate;
            }
            set
            {
                var date = new DateTime(DateTime.Now.Year, value.Month, value.Day);
                _BeginDate = date;
            }
        }

        private DateTime _EndDate { get; set; }
        public DateTime EndDate
        {
            get
            {
                return _EndDate;
            }
            set
            {
                var date = new DateTime(DateTime.Now.Year, value.Month, value.Day);
                _EndDate = date;
            }
        }
    }
}
